## cascading.tap.hadoop.io
Class HadoopTupleEntrySchemeIterator

    java.lang.Object
      cascading.tuple.TupleEntryIterator
          cascading.tuple.TupleEntrySchemeIterator<JobConf,RecordReader>
              cascading.tap.hadoop.io.HadoopTupleEntrySchemeIterator

All Implemented Interfaces:
  Closeable, Iterator<TupleEntry>

    public class HadoopTupleEntrySchemeIterator

extends TupleEntrySchemeIterator<JobConf,RecordReader>

Constructor Summary
`HadoopTupleEntrySchemeIterator(FlowProcess<JobConf> flowProcess, Scheme scheme, CloseableIterator<RecordReader> closeableIterator)`
`HadoopTupleEntrySchemeIterator(FlowProcess<JobConf> flowProcess, Tap parentTap, RecordReader recordReader)`

Method Summary
`protected RecordReader` `wrapInput(RecordReader recordReader)`

Methods inherited from class cascading.tuple.TupleEntrySchemeIterator
`close, getFlowProcess, hasNext, next, remove`

Methods inherited from class cascading.tuple.TupleEntryIterator
`getFields, getTupleEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HadoopTupleEntrySchemeIterator

    public HadoopTupleEntrySchemeIterator(FlowProcess<JobConf> flowProcess,
                                          Tap parentTap,
                                          RecordReader recordReader)
                                   throws IOException

Throws:
  `IOException`

### HadoopTupleEntrySchemeIterator

    public HadoopTupleEntrySchemeIterator(FlowProcess<JobConf> flowProcess,
                                          Scheme scheme,
                                          CloseableIterator<RecordReader> closeableIterator)

Method Detail

### wrapInput

    protected RecordReader wrapInput(RecordReader recordReader)

  Overrides:
    `wrapInput` in class `TupleEntrySchemeIterator<JobConf,RecordReader>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.